Bug 1558157 - Limit ranges are being applied with cpu-cfs-quota set to false
Summary: Limit ranges are being applied with cpu-cfs-quota set to false
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 3.10.0
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: 3.10.0
Assignee: Seth Jennings
QA Contact: DeShuai Ma
URL:
Whiteboard:
Depends On: 1554471
Blocks: 1558155
TreeView+ depends on / blocked
 
Reported: 2018-03-19 17:51 UTC by Derek Carr
Modified: 2018-07-30 19:11 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Fixes an issue on the node where setting disabling cpu-cfs-quota did not prevent cpu cfs limits from being set on pods when cgroups-per-qos was enabled.
Clone Of: 1554471
Environment:
Last Closed: 2018-07-30 19:10:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:1816 None None None 2018-07-30 19:11:12 UTC

Comment 1 Derek Carr 2018-03-19 17:54:34 UTC
Origin PR:
https://github.com/openshift/origin/pull/19028

Comment 3 DeShuai Ma 2018-05-16 08:05:59 UTC
verify on v3.10.0-0.46.0
//Step to verify (cpu-cfs-quota=false + with limits)
1. Create a pod without limits
2. rsh into pod run 'dd if=/dev/zero of=/dev/null'
3. In another terminal rsh into pod and run 'while true; do sleep 4; ps aux|grep dd ; done' The cpu usage is about 99% for one core.
4. The the host which the pod running, using `htop` to watch the cpu usage. one of the four cpu core usage is about 99%.


sh-4.2# while true; do sleep 4; ps aux|grep dd |grep -v grep; done
root       151  135  0.0   4348   344 ?        R+   08:04   0:01 dd if=/dev/zero of=/dev/null
root       151  107  0.0   4348   344 ?        R+   08:04   0:05 dd if=/dev/zero of=/dev/null
root       151  103  0.0   4348   344 ?        R+   08:04   0:09 dd if=/dev/zero of=/dev/null
root       151  102  0.0   4348   344 ?        R+   08:04   0:13 dd if=/dev/zero of=/dev/null
root       151  102  0.0   4348   344 ?        R+   08:04   0:17 dd if=/dev/zero of=/dev/null
root       151  101  0.0   4348   344 ?        R+   08:04   0:21 dd if=/dev/zero of=/dev/null
root       151  101  0.0   4348   344 ?        R+   08:04   0:25 dd if=/dev/zero of=/dev/null
root       151  101  0.0   4348   344 ?        R+   08:04   0:29 dd if=/dev/zero of=/dev/null
root       151  101  0.0   4348   344 ?        R+   08:04   0:33 dd if=/dev/zero of=/dev/null
root       151  101  0.0   4348   344 ?        R+   08:04   0:37 dd if=/dev/zero of=/dev/null
root       151  100  0.0   4348   344 ?        R+   08:04   0:41 dd if=/dev/zero of=/dev/null
root       151  100  0.0   4348   344 ?        R+   08:04   0:45 dd if=/dev/zero of=/dev/null

Comment 5 errata-xmlrpc 2018-07-30 19:10:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1816


Note You need to log in before you can comment on or make changes to this bug.